
Redmine - Patch #36358

Use File.exist? instead of deprecated File.exists?

2021-12-26 13:03 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

you will see a lot of deprecation warnings when running tests with Ruby 3.0 or later.

/path/to/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:219: warning: File.exists? is deprec

ated; use File.exist? instead

 The attached patch replaces all File.exists? with File.exist?.

Associated revisions

Revision 21327 - 2021-12-27 04:20 - Go MAEDA

Use File.exist? instead of deprecated File.exists? (#36358).

Revision 21333 - 2021-12-29 07:44 - Go MAEDA

Use File.exist? instead of deprecated File.exists? in Gemfile (#36358).

History

#1 - 2021-12-27 04:20 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

Files

file-exists.diff 9.65 KB 2021-12-26 Go MAEDA
